complexType "FixedPrice"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | complex, 1 attribute, 3 elements
Defined: | globally in fpml-com-5-5.xsd; see XML source
Includes: | definitions of 1 attribute, 1 element
Used: | at 6 locations

Content Model Diagram

XML Representation Summary
<...
id | = | xsd:ID
| >
Content: | price?, priceCurrency?, priceUnit?
</...>

Content Model Elements (3):

  price (defined in FixedPrice complexType), priceCurrency, | priceUnit

Known Direct Subtypes (1):

  SettlementPeriodsFixedPrice

All Direct / Indirect Based Elements (6):

  fixedPrice (defined in GenericCommodityAttributes.model group),
  fixedPrice (in fixedLeg in commodityForward),
  fixedPrice (in fixedLeg),
  fixedPriceStep,
  settlementPeriodsPrice,
  settlementPeriodsPriceStep

Known Usage Locations

- In derivations of other global types (1):
  SettlementPeriodsFixedPrice (as extension base)
- As direct type of elements (5):
  fixedPrice (defined in GenericCommodityAttributes.model group),
  fixedPrice (in fixedLeg in commodityForward),
  fixedPrice (in fixedLeg),
  fixedPriceStep,
  settlementPeriodsPriceStep

Annotation
A type defining the Fixed Price.
XML Source (w/o annotations (2); see within schema source)

<xsd:complexType name="FixedPrice"> <xsd:sequence> <xsd:element minOccurs="0" name="price" type="xsd:decimal"/> <xsd:group ref="Price.model"/> </xsd:sequence> <xsd:attribute name="id" type="xsd:ID"/> </xsd:complexType>

Attribute Detail (all declarations; defined within this component only; 1/1)
id

  Type: | xsd:ID, predefined
  Use: | optional

  XML Source (see within schema source)

  <xsd:attribute name="id" type="xsd:ID"/>

Content Element Detail (all declarations; defined within this component only; 1/3)
price

  Type: | xsd:decimal, predefined, simple content

  The Fixed Price.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="price" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.